"use client"

import Link, { LinkProps } from "next/link";

interface ILinkProps extends LinkProps {
	children: React.ReactNode;
	className?: string;
}

const NavLink = ({ children, className, ...props }: ILinkProps): JSX.Element => {
	return (
		<>
			<Link className={"font-montserrat " + className} {...props}>
				{children}
			</Link>
		</>
	);
};

export default NavLink;
